//**************************************************************************
// ﾌｧｲﾙ内容     「8bit_in_out.ino」8bit単位で入力、出力(RMC-RA4M1 rev.2.0)
// Copyright    ジャパンマイコンカーラリー実行委員会
// ライセンス   This software is released under the MIT License.
//              http://opensource.org/licenses/mit-license.php
//**************************************************************************

// プロトタイプ宣言
unsigned char dipsw( void );
void led( unsigned char value );

void setup() {
  // CN7 DIPSW 8bit
  pinMode( 35, INPUT );
  pinMode( 36, INPUT );
  pinMode( 37, INPUT );
  pinMode( 38, INPUT );
  pinMode( 39, INPUT );
  pinMode( 40, INPUT );
  pinMode( 41, INPUT ); 
  pinMode( 42, INPUT );

  // CN5 LED 8bit
  pinMode( 27, OUTPUT );
  pinMode( 28, OUTPUT );
  pinMode( 29, OUTPUT );
  pinMode( 30, OUTPUT );
  pinMode( 31, OUTPUT );
  pinMode( 32, OUTPUT );
  pinMode( 33, OUTPUT );
  pinMode( 34, OUTPUT );
}

void loop() {
  unsigned char sw;

  sw = dipsw();
  led( sw );
}

unsigned char dipsw( void ) {
  unsigned char c;
  
  c  = (digitalRead( 35 ) << 7);
  c |= (digitalRead( 36 ) << 6);
  c |= (digitalRead( 37 ) << 5);
  c |= (digitalRead( 38 ) << 4);
  c |= (digitalRead( 39 ) << 3);
  c |= (digitalRead( 40 ) << 2);
  c |= (digitalRead( 41 ) << 1);
  c |= (digitalRead( 42 ) << 0);

  return c;
}

void led( unsigned char value ) {

  digitalWrite( 27, (value & 0x80) != 0 );  // 式が真なら1、偽なら0の値を持つ
  digitalWrite( 28, (value & 0x40) != 0 );  // 例　(1==1) は 1 という値を持つ
  digitalWrite( 29, (value & 0x20) != 0 );  //     (1==0) は 0 という値を持つ
  digitalWrite( 30, (value & 0x10) != 0 );
  digitalWrite( 31, (value & 0x08) != 0 );
  digitalWrite( 32, (value & 0x04) != 0 );
  digitalWrite( 33, (value & 0x02) != 0 );
  digitalWrite( 34, (value & 0x01) != 0 );
}