//**************************************************************************
// ﾌｧｲﾙ内容     「ad_renzoku.ino」A/D変換 連続スキャンモード(RMC-RA4M1 rev.2.0)
// Copyright    ジャパンマイコンカーラリー実行委員会
// ライセンス   This software is released under the MIT License.
//              http://opensource.org/licenses/mit-license.php
//**************************************************************************

// インクルード宣言
#include "mcr_ad_lib.h"

// グローバル変数宣言
mcr_ad ad;

void setup() {
  ad.useCh( 7 );    // D35端子
  ad.useCh( 6 );    // D36端子
  ad.useCh( 5 );    // D37端子
  ad.useCh( 14 );   // D38端子
  ad.useCh( 13 );   // D39端子
  ad.useCh( 12 );   // D40端子
  ad.useCh( 11 );   // D41端子
  ad.useCh( 4 );    // D42端子
  ad.start();

  Serial.begin( 9600 );
  while (!Serial) {
    // 接続されるまで待つ
  }
  Serial.println( "A/D変換 連続スキャンモード" );
}

void loop() {
  char buff[16];

  digitalWrite( 13, 0 );
  sprintf( buff, "AN007=%5d  ", AD_007 );
  Serial.print( buff );
  sprintf( buff, "AN006=%5d  ", AD_006 );
  Serial.print( buff );
  sprintf( buff, "AN005=%5d  ", AD_005 );
  Serial.print( buff );
  sprintf( buff, "AN014=%5d  ", AD_014 );
  Serial.print( buff );
  sprintf( buff, "AN013=%5d  ", AD_013 );
  Serial.print( buff );
  sprintf( buff, "AN012=%5d  ", AD_012 );
  Serial.print( buff );
  sprintf( buff, "AN011=%5d  ", AD_011 );
  Serial.print( buff );
  sprintf( buff, "AN004=%5d  ", AD_004 );
  Serial.print( buff );
  Serial.print( "\n" );
  digitalWrite( 13, 1 );

  delay( 1000 );
}