//**************************************************************************
// ﾌｧｲﾙ内容     「serial_cn3.ino」CN3のUSBとシリアル通信(RMC-RA4M1 rev.2.0)
// Copyright    ジャパンマイコンカーラリー実行委員会
// ライセンス   This software is released under the MIT License.
//              http://opensource.org/licenses/mit-license.php
//**************************************************************************

void setup() {
  pinMode( 25, INPUT );  // ディップスイッチ1
  pinMode( 26, INPUT );  // ディップスイッチ2

  Serial.begin( 9600 );
  
  while ( !Serial ) {
    // 接続されるまで待つ
  }

  Serial.println( "CN3シリアル通信");
}

void loop() {
  static int lp = 1;
  int sw1, sw2;
  
  sw1 = !digitalRead( 25 );  // ON側で1 OFF側で0
  sw2 = !digitalRead( 26 );

  Serial.print( lp );
  Serial.print( " : " );
  Serial.print( "SW1 = " );
  Serial.print( sw1 );
  Serial.print( "  SW2 = " );
  Serial.println( sw2 );
  delay( 1000 );
  lp++;
}