//**************************************************************************
// ﾌｧｲﾙ内容     「8bit_in_out_nolibraly.ino」8bit単位で入力、出力(Adruinoライブラリ未使用)(RMC-RA4M1 rev.2.0)
// Copyright    ジャパンマイコンカーラリー実行委員会
// ライセンス   This software is released under the MIT License.
//              http://opensource.org/licenses/mit-license.php
//**************************************************************************

// プロトタイプ宣言
unsigned char dipsw( void );
void led( unsigned char value );

void setup() {
  // CN7 DIPSW 8bit
  pinMode( 35, INPUT );
  pinMode( 36, INPUT );
  pinMode( 37, INPUT );
  pinMode( 38, INPUT );
  pinMode( 39, INPUT );
  pinMode( 40, INPUT );
  pinMode( 41, INPUT ); 
  pinMode( 42, INPUT );

  // CN5 LED 8bit
  pinMode( 27, OUTPUT );
  pinMode( 28, OUTPUT );
  pinMode( 29, OUTPUT );
  pinMode( 30, OUTPUT );
  pinMode( 31, OUTPUT );
  pinMode( 32, OUTPUT );
  pinMode( 33, OUTPUT );
  pinMode( 34, OUTPUT );
}

void loop() {
  unsigned char sw;

  sw = dipsw();
  led( sw );
}

unsigned char dipsw( void ) {
  unsigned char c;

  c  = (R_PORT0->PIDR_b.PIDR12) << 7;
  c |= (R_PORT0->PIDR_b.PIDR11) << 6;
  c |= (R_PORT0->PIDR_b.PIDR10) << 5;
  c |= (R_PORT0->PIDR_b.PIDR8 ) << 4;
  c |= (R_PORT0->PIDR_b.PIDR7 ) << 3;
  c |= (R_PORT0->PIDR_b.PIDR6 ) << 2;
  c |= (R_PORT0->PIDR_b.PIDR5 ) << 1;
  c |= (R_PORT0->PIDR_b.PIDR4 ) << 0;

  return c;
}

void led( unsigned char value ) {
  R_PORT4->PODR_b.PODR2 = ( (value & 0x80) != 0 );  // 式が真なら1、偽なら0の値を持つ
  R_PORT4->PODR_b.PODR5 = ( (value & 0x40) != 0 );
  R_PORT4->PODR_b.PODR6 = ( (value & 0x20) != 0 );
  R_PORT4->PODR_b.PODR3 = ( (value & 0x10) != 0 );
  R_PORT4->PODR_b.PODR4 = ( (value & 0x08) != 0 );
  R_PORT4->PODR_b.PODR1 = ( (value & 0x04) != 0 );
  R_PORT4->PODR_b.PODR0 = ( (value & 0x02) != 0 );
  R_PORT0->PODR_b.PODR3 = ( (value & 0x01) != 0 );
}