//**************************************************************************
// ﾌｧｲﾙ内容     「aqm0802_wire1.ino」AQM0802液晶(I2C)(RMC-RA4M1 rev.2.0)
// Copyright    ジャパンマイコンカーラリー実行委員会
// ライセンス   This software is released under the MIT License.
//              http://opensource.org/licenses/mit-license.php
//**************************************************************************

// インクルード宣言
#include "mcr_aqm0802_wire1.h"  // SCL1(D53)端子とSDA1(D54)端子に接続 

// グローバル変数宣言
MCR_AQM0802_WIRE1 lcd1;      // クラスMCR_AQM0802でインスタンス(オブジェクト)lcd1を生成

void setup() {
  lcd1.begin( 10 );          // AQM0802液晶使用開始 コントラスト=10
}

void loop() {
  static int lp = 1;

  lcd1.setPosition( 0,0 );
  lcd1.printf( "AQM0802!" );
  lcd1.setPosition( 0,1 );
  lcd1.printf( "%08d", lp );
  delay(10);
  lp++;
}