//**************************************************************************
// ﾌｧｲﾙ内容     「encoder2sou.ino」2相のロータリエンコーダ　パルス入力(RMC-RA4M1 rev.2.0)
// Copyright    ジャパンマイコンカーラリー実行委員会
// ライセンス   This software is released under the MIT License.
//              http://opensource.org/licenses/mit-license.php
//**************************************************************************

// インクルード宣言
#include "mcr_gpt_lib.h"

void setup() {
  startGPT0_2SouEncoder( 1, 7 , 1, 6);  // 2相エンコーダ 0A=P107(D7端子) 0B=P106(D6端子)を使用

  Serial.begin(9600);                   // シリアル通信 速度9600bps

  while ( !Serial ) {
    // 接続されるまで待つ
  }
  Serial.println( "ロータリエンコーダ２相確認プログラム" );
}

void loop() {
  static int lp = 1;
  
  Serial.print( lp );
  Serial.print( " : " );
  Serial.println( INT_GPT0_CNT );
  lp++;
  delay( 1000 );
}