#ifndef MCR_AQM0802_H
#define MCR_AQM0802_H

#include <Wire.h>

/* 表示文字数 */
#define LCD_MAX_X 8                   // 横文字数  8 or 16 or 20
#define LCD_MAX_Y 2                   // 縦文字数  1 or  2 or  4

class MCR_AQM0802{
  public:
    void init( byte = 12 );
    void begin( byte = 12 );
    void setContrast( byte c );
    void setPosition( char x, char y );
    int printf( const char *format, ... );

  private:
    void writeCmd(byte command);
    void writeData(byte data);
    uint8_t contrast = 11;            // コントラスト0-63 実測で5V=11
    int lcdPosition_x = 0;
    int lcdPosition_y = 0;
};

#endif // MCR_AQM0802_H