//**************************************************************************
// ﾌｧｲﾙ内容     「serial_cn6.ino」CN6のUSBとシリアル通信(RMC-RA4M1 rev.2.0)
// Copyright    ジャパンマイコンカーラリー実行委員会
// ライセンス   This software is released under the MIT License.
//              http://opensource.org/licenses/mit-license.php
//**************************************************************************

void setup() {
  pinMode( 25, INPUT );  // ディップスイッチ1
  pinMode( 26, INPUT );  // ディップスイッチ2

  Serial2.begin( 9600 );  // Serial2 = CN6のUSBコネクタとシリアル接続
  
  while ( !Serial2 ) {
    // 接続されるまで待つ
  }

  Serial2.println( "CN6シリアル通信");
}

void loop() {
  static int lp = 1;
  int sw1, sw2;
  
  sw1 = !digitalRead( 25 );  // ON側で1 OFF側で0
  sw2 = !digitalRead( 26 );

  Serial2.print( lp );
  Serial2.print( " : " );
  Serial2.print( "SW1 = " );
  Serial2.print( sw1 );
  Serial2.print( "  SW2 = " );
  Serial2.println( sw2 );
  delay( 1000 );
  lp++;
}